package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeacherSalaryConfirmStatus;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/4/15
 */
public class TeacherCourseSalaryDetail4WebDto {

    private Long id;

    private Integer organId;

    private String organName;

    private GroupType groupType;

    private Long courseScheduleId;

    private Date startClassTime;

    private Date endClassTime;

    private Integer courseTimes;

    private String courseName;

    private Integer teacherId;

    private String teacherName;

    private java.util.Date signInTime;

    private YesOrNoEnum signInStatus;
    private String signInStatusStr;

    private Date signOutTime;

    private YesOrNoEnum signOutStatus;
    private String signOutStatusStr;

    @ApiModelProperty(value = "实际收款")
    private BigDecimal actualReceipts;

    private java.math.BigDecimal expectSalary;

    private java.math.BigDecimal actualSalary;

    private BigDecimal reduceSalary;

    private BigDecimal finalSalary;

    private TeacherSalaryConfirmStatus confirmStatus;

    private String memo;

    private String deductionReason;

    private Integer belongDaya;

    private String salaryType;

    public String getSalaryType() {
        return salaryType;
    }

    public void setSalaryType(String salaryType) {
        this.salaryType = salaryType;
    }

    public Integer getBelongDaya() {
        return belongDaya;
    }

    public void setBelongDaya(Integer belongDaya) {
        this.belongDaya = belongDaya;
    }

    public String getDeductionReason() {
        return deductionReason;
    }

    public void setDeductionReason(String deductionReason) {
        this.deductionReason = deductionReason;
    }

    public BigDecimal getActualReceipts() {
        return actualReceipts;
    }

    public void setActualReceipts(BigDecimal actualReceipts) {
        this.actualReceipts = actualReceipts;
    }

    public Integer getCourseTimes() {
        return courseTimes;
    }

    public void setCourseTimes(Integer courseTimes) {
        this.courseTimes = courseTimes;
    }

    public String getSignInStatusStr() {
        return signInStatusStr;
    }

    public void setSignInStatusStr(String signInStatusStr) {
        this.signInStatusStr = signInStatusStr;
    }

    public String getSignOutStatusStr() {
        return signOutStatusStr;
    }

    public void setSignOutStatusStr(String signOutStatusStr) {
        this.signOutStatusStr = signOutStatusStr;
    }

    public BigDecimal getFinalSalary() {
        return finalSalary;
    }

    public void setFinalSalary(BigDecimal finalSalary) {
        this.finalSalary = finalSalary;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Date getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(Date signInTime) {
        this.signInTime = signInTime;
    }

    public YesOrNoEnum getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(YesOrNoEnum signInStatus) {
        this.signInStatus = signInStatus;
    }

    public YesOrNoEnum getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(YesOrNoEnum signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public Date getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(Date signOutTime) {
        this.signOutTime = signOutTime;
    }

    public BigDecimal getExpectSalary() {
        return expectSalary;
    }

    public void setExpectSalary(BigDecimal expectSalary) {
        this.expectSalary = expectSalary;
    }

    public BigDecimal getActualSalary() {
        return actualSalary;
    }

    public void setActualSalary(BigDecimal actualSalary) {
        this.actualSalary = actualSalary;
    }

    public BigDecimal getReduceSalary() {
        return reduceSalary;
    }

    public void setReduceSalary(BigDecimal reduceSalary) {
        this.reduceSalary = reduceSalary;
    }

    public TeacherSalaryConfirmStatus getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(TeacherSalaryConfirmStatus confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
